Get Clusters

Get Clusters

Api to get clusters for Telco Cloud Automation

Request
URI
GET
https://{server}/hybridity/api//infra/k8s/clusters
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Returns clusters

Returns Array of cluster of type(s) application/json
[
    {
        "id": "string",
        "clusterName": "string",
        "clusterType": "string",
        "vsphereClusterName": "string",
        "managementClusterId": "string",
        "hcxUUID": "string",
        "status": "string",
        "clusterTemplate": {
            "name": "string",
            "version": "string",
            "id": "string"
        },
        "clusterConfig": "clusterConfig.yaml Object",
        "clusterId": "string",
        "clusterUrl": "string",
        "kubeConfig": "string",
        "masterNodes": [
            {
                "cpu": 0,
                "memory": 0,
                "name": "string",
                "networks": [
                    {
                        "label": "string",
                        "networkName": "string"
                    }
                ],
                "storage": 0,
                "replica": 0,
                "labels": [
                    "string"
                ],
                "cloneMode": "string"
            }
        ],
        "workerNodes": [
            {
                "cpu": 0,
                "memory": 0,
                "name": "string",
                "networks": [
                    {
                        "label": "string",
                        "networkName": "string"
                    }
                ],
                "storage": 0,
                "replica": 0,
                "labels": [
                    "string"
                ],
                "cloneMode": "string",
                "config": {
                    "cpuManagerPolicy": {
                        "type": "string",
                        "policy": "string",
                        "properties": {
                            "kubeReserved": {
                                "cpu": 0,
                                "memoryInGiB": 0
                            },
                            "systemReserved": {
                                "cpu": 0,
                                "memoryInGiB": 0
                            }
                        }
                    }
                }
            }
        ],
        "vimId": "string",
        "error": "string"
    }
]